de.caff.generics.mda

## Interface OneDimensionalFloatAccess

- All Superinterfaces:
    Countable<java.lang.Float>, Indexable<java.lang.Float>, java.lang.Iterable<java.lang.Float>, MultiDimensional, MultiDimensionalAccess<java.lang.Float>, MultiDimensionalReadAccess<java.lang.Float>, MutableIndexable<java.lang.Float>, OneDimensionalAccess<java.lang.Float>, OneDimensionalFloatReadAccess, OneDimensionalReadAccess<java.lang.Float>, Sizeable
  All Known Implementing Classes:
    OneDimensionalFloatArray

      public interface OneDimensionalFloatAccess
      extends OneDimensionalFloatReadAccess, OneDimensionalAccess<java.lang.Float>

  Read/write access for 1-dimensional float arrays.
  Since:
    November 11, 2019
  Author:
    Rammi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.mda.OneDimensionalFloatReadAccess

      `OneDimensionalFloatReadAccess.Base`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableIndexable

      `MutableIndexable.ListView<T>`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.Indexable

      `Indexable.IndexableSpliterator<TElem>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OneDimensionalFloatAccess` | `EMPTY` Empty 1dimensional float access.

    - ### Fields inherited from interface de.caff.generics.Indexable

      `EMPTY_INDEXABLE_STRING`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

    - ### Fields inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `EMPTY0, EMPTY1, EMPTY2, EMPTY3, EMPTY4, EMPTY5, EMPTY6, EMPTY7`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `changeAllValues(FloatOperator1 operator)` Change all values by applying an operator.
    `default void` | `changeValueAt(FloatOperator1 operator, int index)` Change the value at the given indexes.
    `default void` | `fillValuesByIndex(IntToFloatFunction1 setter)` Set all values by their index.
    `default void` | `set(int index, java.lang.Float elem)` Set the element at the given index.
    `void` | `setValueAt(float value, int index)` Set the value at the given index.

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalFloatReadAccess

      `asBase, get, getValueAt, singleton`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalAccess

      `changeAll, changeAll, copy, empty, fillByIndex, setElement, setElementAt`

    - ### Methods inherited from interface de.caff.generics.MutableIndexable

      `applyOnEach, asList, copy, copyInternally, copyOf, filled, fillFrom, fromArray, fromArray, fromIndexable, fromIndexable, fromIterable, getCopy, getCopy, headSet, init, initByIndex, initFragile, listIterator, nulled, order, reverse, revert, revert, setFrom, setFrom, setFromArray, setMulti, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, viewArray, viewArray, viewIndexable, viewList`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalAccess

      `change, setAll, setFrom, setFrom, setFrom`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalReadAccess

      `getElement, getNumDimensions, getNumElements, getSize, getSizes, view, visitAll, visitAll`

    - ### Methods inherited from interface de.caff.generics.Indexable

      `addToArray, addToArray, addToCollection, asCollection, binarySearch, checkIndex, combine, compare, downCast, emptyIndexable, equal, findAll, findAllX, findFirst, findFirst, findFirst, findFirstX, findLast, findLast, findLast, findNext, findNext, findNext, findNextX, findPrevious, findPrevious, findPrevious, first, firstMatch, firstMatch, firstMatchX, forEachEntry, forEachEntryFragile, fromCollection, fromCollection, fromCountable, fromCountable, fromEnumeration, fromEnumeration, fromIterable, fromIterable, fromIterable, fromIterable, fromIterator, fromList, fromOptional, frozenSpliterator, getMod, gyt, hash, indexedView, indexes, init, initByIndex, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, iterator, last, mapArray, optional, ordered, rotated, spliterator, toString, view, view, viewAsBooleanIndexable, viewAsByteIndexable, viewAsCharIndexable, viewAsDict, viewAsDoubleIndexable, viewAsFloatIndexable, viewAsIntIndexable, viewAsLongIndexable, viewAsShortIndexable, viewByIndex, viewFragile, viewList, viewList, viewListN, viewListN, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, withAppendedItem, withCachedHash, withExchangedItemAt, withInsertedItemAt, withPrependedItem, withRemovedItemAt, withSwappedItemsAt`

    - ### Methods inherited from interface de.caff.generics.Countable

      `addAllTo, combined, combined, containsEq, containsRef, downCast, equal, equals, filtered, filteredToIndexable, filterToCountable, firstOrNull, foldLeft, forEachFragile, freeze, frozen, frozen, getAny, groupingBy, groupingBy, hasAll, hasAny, isSorted, isStrictlySorted, lastOrNull, mappingBy, mappingBy, optFirst, optLast, orderedCombination, parellelStream, sorted, stream, toArray, toArray, toList, toString, uniform, viewCollection, viewCollection, viewCollectionN, viewCollectionN`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `empty, linearized`

- - ### Field Detail

    - #### EMPTY

          static final OneDimensionalFloatAccess EMPTY

      Empty 1dimensional float access.

  - ### Method Detail

    - #### setValueAt

          void setValueAt(float value,
                          int index)

      Set the value at the given index.

      This is usually more efficient than `set(int, Float)` or `OneDimensionalAccess.setElement(Object, int...)`.

      Parameters:
        `value` - value to set
        `index` - index of value

    - #### changeValueAt

          default void changeValueAt(@NotNull
                                     FloatOperator1 operator,
                                     int index)

      Change the value at the given indexes.
      Parameters:
        `operator` - operator to apply to the value
        `index` - index of value

    - #### changeAllValues

          default void changeAllValues(@NotNull
                                       FloatOperator1 operator)

      Change all values by applying an operator.
      Parameters:
        `operator` - operator to apply

    - #### set

          default void set(int index,
                           @NotNull
                           java.lang.Float elem)

      Description copied from interface: `MutableIndexable`
      Set the element at the given index.
      Specified by:
        `set` in interface `MutableIndexable<java.lang.Float>`
      Parameters:
        `index` - index between `0` and `size() - 1`
        `elem` - element to put to the given index

    - #### fillValuesByIndex

          default void fillValuesByIndex(@NotNull
                                         IntToFloatFunction1 setter)

      Set all values by their index. This will call the setter for all indexes and set the value at the given index from the return value of the setter.
      Parameters:
        `setter` - setter which gets the index and returns the value to set for that index